# Changelog

## 2024-12-19 - 1.2.1 - fix(taskmanager)
Remove checkinSlackTask from SparkTaskManager for streamlined task management

- checkinSlackTask has been removed from the task manager class.
- Removal of the slack check-in task allows the system to focus on essential update tasks.

## 2024-12-18 - 1.2.0 - feat(core)
Initial commit of the Spark project with core functionalities for server management and integration with Docker.

- Add core functionalities for server maintenance and configuration.
- Integrate Docker for advanced task scheduling and service management.
- Provide CLI commands for daemon management and task execution.

## 2024-12-18 - 1.1.0 - feat(core)
Update package dependencies and improve API integration.

- Updated devDependencies and dependencies in package.json.
- Integrated new package @serve.zone/api.
- Updated identityArg in SparkLocalConfig for userHomeDir kvStore.

## 2024-06-13 - 1.0.85 to 1.0.90 - Core Updates
Routine updates and fixes to core functionality.

- Updated core component throughout versions for enhanced stability
- Incremental improvements applied on versions 1.0.85 to 1.0.90

## 2024-05-08 - 1.0.82 to 1.0.85 - Core Enhancements
Consistent updates made to improve core operations.

- Updates focused on core functionality for improved performance
- Series of updates applied from versions 1.0.82 to 1.0.85